#include <bits/stdc++.h>

#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()

std::vector <std::vector <int>> solve(int n) {
    return {{0, 1, 2}, {0, 2, 3}, {0, 1, 3}, {1, 2, 3}};
}
